org.springframework.batch.core.jsr

## Enum JsrStepListenerMetaData

- java.lang.Object
- - java.lang.Enum<JsrStepListenerMetaData>
  - - org.springframework.batch.core.jsr.JsrStepListenerMetaData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JsrStepListenerMetaData>, ListenerMetaData

      public enum JsrStepListenerMetaData
      extends java.lang.Enum<JsrStepListenerMetaData>
      implements ListenerMetaData

  Enumeration for the JSR specific `StepListener` meta data, which ties together the names of methods, their interfaces, and expected arguments.
  Since:
    3.0
  Author:
    Michael Minella, Chris Schaefer
  See Also:
    `StepListenerFactoryBean`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER_CHUNK`
    `AFTER_CHUNK_ERROR`
    `AFTER_PROCESS`
    `AFTER_PROCESS_ERROR`
    `AFTER_READ`
    `AFTER_READ_ERROR`
    `AFTER_STEP`
    `AFTER_WRITE`
    `AFTER_WRITE_ERROR`
    `BEFORE_CHUNK`
    `BEFORE_PROCESS`
    `BEFORE_READ`
    `BEFORE_STEP`
    `BEFORE_WRITE`
    `RETRY_PROCESS`
    `RETRY_READ`
    `RETRY_WRITE`
    `SKIP_PROCESS`
    `SKIP_READ`
    `SKIP_WRITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsrStepListenerMetaData` | `fromPropertyName(java.lang.String propertyName)` Return the relevant meta data for the provided property name.
    `java.lang.Class<? extends java.lang.annotation.Annotation>` | `getAnnotation()`
    `java.lang.Class<?>` | `getListenerInterface()`
    `java.lang.String` | `getMethodName()`
    `java.lang.Class<?>[]` | `getParamTypes()`
    `java.lang.String` | `getPropertyName()`
    `static JsrStepListenerMetaData` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JsrStepListenerMetaData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE_STEP

          public static final JsrStepListenerMetaData BEFORE_STEP

    - #### AFTER_STEP

          public static final JsrStepListenerMetaData AFTER_STEP

    - #### BEFORE_CHUNK

          public static final JsrStepListenerMetaData BEFORE_CHUNK

    - #### AFTER_CHUNK

          public static final JsrStepListenerMetaData AFTER_CHUNK

    - #### AFTER_CHUNK_ERROR

          public static final JsrStepListenerMetaData AFTER_CHUNK_ERROR

    - #### BEFORE_READ

          public static final JsrStepListenerMetaData BEFORE_READ

    - #### AFTER_READ

          public static final JsrStepListenerMetaData AFTER_READ

    - #### AFTER_READ_ERROR

          public static final JsrStepListenerMetaData AFTER_READ_ERROR

    - #### BEFORE_PROCESS

          public static final JsrStepListenerMetaData BEFORE_PROCESS

    - #### AFTER_PROCESS

          public static final JsrStepListenerMetaData AFTER_PROCESS

    - #### AFTER_PROCESS_ERROR

          public static final JsrStepListenerMetaData AFTER_PROCESS_ERROR

    - #### BEFORE_WRITE

          public static final JsrStepListenerMetaData BEFORE_WRITE

    - #### AFTER_WRITE

          public static final JsrStepListenerMetaData AFTER_WRITE

    - #### AFTER_WRITE_ERROR

          public static final JsrStepListenerMetaData AFTER_WRITE_ERROR

    - #### SKIP_READ

          public static final JsrStepListenerMetaData SKIP_READ

    - #### SKIP_PROCESS

          public static final JsrStepListenerMetaData SKIP_PROCESS

    - #### SKIP_WRITE

          public static final JsrStepListenerMetaData SKIP_WRITE

    - #### RETRY_READ

          public static final JsrStepListenerMetaData RETRY_READ

    - #### RETRY_PROCESS

          public static final JsrStepListenerMetaData RETRY_PROCESS

    - #### RETRY_WRITE

          public static final JsrStepListenerMetaData RETRY_WRITE

  - ### Method Detail

    - #### values

          public static JsrStepListenerMetaData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsrStepListenerMetaData c : JsrStepListenerMetaData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsrStepListenerMetaData valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMethodName

          public java.lang.String getMethodName()

      Specified by:
        `getMethodName` in interface `ListenerMetaData`

    - #### getAnnotation

          public java.lang.Class<? extends java.lang.annotation.Annotation> getAnnotation()

      Specified by:
        `getAnnotation` in interface `ListenerMetaData`

    - #### getListenerInterface

          public java.lang.Class<?> getListenerInterface()

      Specified by:
        `getListenerInterface` in interface `ListenerMetaData`

    - #### getParamTypes

          public java.lang.Class<?>[] getParamTypes()

      Specified by:
        `getParamTypes` in interface `ListenerMetaData`

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `ListenerMetaData`

    - #### fromPropertyName

          public static JsrStepListenerMetaData fromPropertyName(java.lang.String propertyName)

      Return the relevant meta data for the provided property name.
      Parameters:
        `propertyName` - the name of the property to return.
      Returns:
        meta data with supplied property name, null if none exists.